Use this API to manage invitations and add users to a group or project.
List all pending invitations for a group
GET /api/v4/groups/{id}/invitations
Lists all pending invitations for a specified group viewable by the authenticated user. Returns invitations to direct members only, and not through inherited ancestor groups. This function takes pagination parameters page and per_page to restrict the list of members.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The group ID |
pageQuery | Integer | Current page number Default: 1Example: 1 |
per_Query | Integer | Number of items per page Default: 20Example: 20 |
queryQuery | String | A query string to search for members |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Add a member to a group
POST /api/v4/groups/{id}/invitations
Adds a member to a group. You can specify a user ID or invite a user by email.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The group ID |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
access_Required | Integer | A valid access level (defaults:30,Allowed values: 10,15,20,25,30,40,50 |
email | Array of strings | The email address to invite, |
expires_ | String (date- | Date string in the format YEAR- |
invite_ | String | Source that triggered the member creation process Default: invitations- |
user_ | Array of strings | The user ID of the new member or multiple IDs separated by commas |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Update an invitation to a group
PUT /api/v4/groups/{id}/invitations/{email}
Updates a pending invitation to a group.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The group ID |
emailPath, | String | The email address of the invitation |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
access_ | Integer | A valid access level (defaults:30,Allowed values: 10,15,20,25,30,40,50 |
expires_ | String (date- | Date string in ISO 8601 format (YYYY-) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete an invitation to a group
DELETE /api/v4/groups/{id}/invitations/{email}
Deletes a pending invitation to a specified email address for a group.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The group ID |
emailPath, | String | The email address of the invitation |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not found | — |
409 | Could not delete invitation | — |
List all pending invitations for a project
GET /api/v4/projects/{id}/invitations
Lists all pending invitations for a specified project viewable by the authenticated user. Returns invitations to direct members only, and not through inherited ancestor groups. This function takes pagination parameters page and per_page to restrict the list of members.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The project ID |
pageQuery | Integer | Current page number Default: 1Example: 1 |
per_Query | Integer | Number of items per page Default: 20Example: 20 |
queryQuery | String | A query string to search for members |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Add a member to a project
POST /api/v4/projects/{id}/invitations
Adds a member to a project. You can specify a user ID or invite a user by email.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The project ID |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
access_Required | Integer | A valid access level (defaults:30,Allowed values: 10,15,20,25,30,40,50 |
email | Array of strings | The email address to invite, |
expires_ | String (date- | Date string in the format YEAR- |
invite_ | String | Source that triggered the member creation process Default: invitations- |
user_ | Array of strings | The user ID of the new member or multiple IDs separated by commas |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Update an invitation to a project
PUT /api/v4/projects/{id}/invitations/{email}
Updates a pending invitation to a project.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The project ID |
emailPath, | String | The email address of the invitation |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
access_ | Integer | A valid access level (defaults:30,Allowed values: 10,15,20,25,30,40,50 |
expires_ | String (date- | Date string in ISO 8601 format (YYYY-) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete an invitation to a project
DELETE /api/v4/projects/{id}/invitations/{email}
Deletes a pending invitation to a specified email address for a project.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String | The project ID |
emailPath, | String | The email address of the invitation |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
403 | Forbidden | — |
404 | Not found | — |
409 | Could not delete invitation | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesInvitation
| Property | Type | Description |
|---|---|---|
access_ | String | — |
created_ | String | — |
created_ | String | — |
expires_ | String | — |
invite_ | String | — |
invite_ | String | — |
user_ | String | — |